Commet
  • Pricing
Log InTry out
Create API key POSTDelete API key DELETEList API keys GET
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Delete API key

Permanently revoke and delete an API key.

Create API key POST

Create a new API key. The full key is only returned once in the response.

List API keys GET

List API keys with cursor-based pagination. Keys are returned without the full secret.

DELETE
/api-keys/{id}

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

curl -X DELETE "https://commet.co/api/v1/api-keys/string"

Permanently revoke and delete an API key.

API key public ID

{
  "success": true,
  "data": {
    "object": "api_key",
    "livemode": true,
    "id": "string",
    "deleted": true
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}